Subject: Re: bug#27296: [PATCH 33/35] gnu: Add texlive-union.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 09 Jun 2017 17:12:08 +0200

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> * gnu/packages/tex.scm (texlive-union): New procedure.
>>
>> [...]
>>
>>> +(define-public texlive-union (lambda* (#:optional (packages '()))
>>> +  "Return 'texlive-union' package which is a union of PACKAGES and the
>>> +standard LaTeX packages."
>>> +  (let ((default-packages
>>> +          (list texlive-bin
>>> +                texlive-dvips
>>> +                texlive-fonts-cm
>>
>> (Indentation is unusual here.)
>>
>> Does ‘texlive-union’ become the user interface to install LaTeX, along
>> with ‘texlive-tiny’ and maybe a ‘texlive-full’ meta-package?
>>
>> Do you think this could be turned into a profile hook, somehow, such
>> that users who install a bunch of ‘texlive-*’ packages would immediately
>> get something that works without having to write Scheme code that calls
>> ‘texlive-union’?
>
> “texlive-union” is primarily for the benefit of package definitions that
> currently use “texlive” as an input, as the alternative is for these
> packages to set a lot of environment variables in build phases.  I
> reduced the number of variables by providing texmf.cnf, but at the very
> least packages would have to set TEXMFCNF and provide their own
> texmf.cnf to make the texlive binaries find packages, fonts,
> configurations, etc.

I see, that makes sense!  So the ‘texmf.cnf’ file created by
‘texlive-union’ is automatically found, right?

> A profile hook would be the best way to handle the installation of
> packages into profiles.  I just haven’t written it yet :)

Fair enough, no problem!

Ludo’.